=== modified file 'methods/https.cc'
--- methods/https.cc	2012-05-17 12:21:13 +0000
+++ methods/https.cc	2013-03-26 13:33:22 +0000
@@ -30,12 +30,19 @@
 #include <iostream>
 #include <sstream>
 
+#include <gnutls/gnutls.h>
+
 #include "config.h"
 #include "https.h"
 #include <apti18n.h>
 									/*}}}*/
 using namespace std;
 
+static void tls_log_func(int level, const char *str)
+{
+    fprintf(stderr, "|<%d>| %s", level, str);
+}
+
 size_t 
 HttpsMethod::write_data(void *buffer, size_t size, size_t nmemb, void *userp)
 {
@@ -237,8 +244,14 @@
 
    // debug
    if(_config->FindB("Debug::Acquire::https", false))
+   {
       curl_easy_setopt(curl, CURLOPT_VERBOSE, true);
 
+      gnutls_global_set_log_function(tls_log_func);
+      gnutls_global_set_log_level(
+         _config->FindI("Debug::Acquire::gnutls-level", 3));
+   }
+
    // error handling
    curl_easy_setopt(curl, CURLOPT_ERRORBUFFER, curl_errorstr);
 

